//
//  SCAdPlayerEvent.h
//  SmartclipSDKiOS
//
//  Copyright © 2018 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * Use this class to communicate between your playerController and
 * the sequnencer
 */
@interface SCAdPlayerEvent : NSObject
/// Definition of Player events
typedef enum SCAdPlayerEventType {
    EventTypeLoadedData,
    EventTypePlay,
    EventTypePause,
    EventTypeTimeupdate,
    EventTypeVolumeChanged,
    EventTypeEnded,
    EventTypeError
} SCAdPlayerEventType;

- (instancetype)initWithPlayerEventType:(SCAdPlayerEventType)eventType;
- (NSString*)eventTypeString;
@end

NS_ASSUME_NONNULL_END
